/* This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/. */

/* Density variations */

:root {
  --icon-account-settings: url("chrome://messenger/skin/icons/new/compact/account-settings.svg");
  --icon-add: url("chrome://messenger/skin/icons/new/compact/add.svg");
  --icon-address-book: url("chrome://messenger/skin/icons/new/compact/address-book.svg");
  --icon-app-menu: url("chrome://messenger/skin/icons/new/compact/app-menu.svg");
  --icon-app-meun-badged: url("chrome://messenger/skin/icons/new/compact/app-meun-badged.svg");
  --icon-archive: url("chrome://messenger/skin/icons/new/compact/archive.svg");
  --icon-attachment: url("chrome://messenger/skin/icons/new/compact/attachment.svg");
  --icon-calendar-invite: url("chrome://messenger/skin/icons/new/compact/calendar-invite.svg");
  --icon-calendar-today: url("chrome://messenger/skin/icons/new/compact/calendar-today.svg");
  --icon-calendar: url("chrome://messenger/skin/icons/new/compact/calendar.svg");
  --icon-chat: url("chrome://messenger/skin/icons/new/compact/chat.svg");
  --icon-check: url("chrome://messenger/skin/icons/new/compact/check.svg");
  --icon-checkbox: url("chrome://messenger/skin/icons/new/compact/checkbox.svg");
  --icon-close: url("chrome://messenger/skin/icons/new/compact/close.svg");
  --icon-collapse: url("chrome://messenger/skin/icons/new/compact/collapse.svg");
  --icon-compress: url("chrome://messenger/skin/icons/new/compact/compress.svg");
  --icon-contact: url("chrome://messenger/skin/icons/new/compact/contact.svg");
  --icon-conversation: url("chrome://messenger/skin/icons/new/compact/conversation.svg");
  --icon-copy: url("chrome://messenger/skin/icons/new/compact/copy.svg");
  --icon-cut: url("chrome://messenger/skin/icons/new/compact/cut.svg");
  --icon-download: url("chrome://messenger/skin/icons/new/compact/download.svg");
  --icon-draft: url("chrome://messenger/skin/icons/new/compact/draft.svg");
  --icon-error-circle: url("chrome://messenger/skin/icons/new/compact/error-circle.svg");
  --icon-export: url("chrome://messenger/skin/icons/new/compact/export.svg");
  --icon-extension: url("chrome://messenger/skin/icons/new/compact/extension.svg");
  --icon-eye: url("chrome://messenger/skin/icons/new/compact/eye.svg");
  --icon-features: url("chrome://messenger/skin/icons/new/compact/features.svg");
  --icon-file: url("chrome://messenger/skin/icons/new/compact/file.svg");
  --icon-filter: url("chrome://messenger/skin/icons/new/compact/filter.svg");
  --icon-folder-filter: url("chrome://messenger/skin/icons/new/compact/folder-filter.svg");
  --icon-folder-rss: url("chrome://messenger/skin/icons/new/compact/folder-rss.svg");
  --icon-folder-save: url("chrome://messenger/skin/icons/new/compact/folder-save.svg");
  --icon-folder: url("chrome://messenger/skin/icons/new/compact/folder.svg");
  --icon-forward: url("chrome://messenger/skin/icons/new/compact/forward.svg");
  --icon-get-mail: url("chrome://messenger/skin/icons/new/compact/get-mail.svg");
  --icon-globe-secure: url("chrome://messenger/skin/icons/new/compact/globe-secure.svg");
  --icon-globe: url("chrome://messenger/skin/icons/new/compact/globe.svg");
  --icon-handshake: url("chrome://messenger/skin/icons/new/compact/handshake.svg");
  --icon-hidden: url("chrome://messenger/skin/icons/new/compact/hidden.svg");
  --icon-id: url("chrome://messenger/skin/icons/new/compact/id.svg");
  --icon-import: url("chrome://messenger/skin/icons/new/compact/import.svg");
  --icon-inbox: url("chrome://messenger/skin/icons/new/compact/inbox.svg");
  --icon-key: url("chrome://messenger/skin/icons/new/compact/key.svg");
  --icon-link: url("chrome://messenger/skin/icons/new/compact/link.svg");
  --icon-lock: url("chrome://messenger/skin/icons/new/compact/lock.svg");
  --icon-lock-disabled: url("chrome://messenger/skin/icons/new/compact/lock-disabled.svg");
  --icon-mail-secure: url("chrome://messenger/skin/icons/new/compact/mail-secure.svg");
  --icon-mail: url("chrome://messenger/skin/icons/new/compact/mail.svg");
  --icon-more: url("chrome://messenger/skin/icons/new/compact/more.svg");
  --icon-nav-back: url("chrome://messenger/skin/icons/new/compact/nav-back.svg");
  --icon-nav-down-unread: url("chrome://messenger/skin/icons/new/compact/nav-down-unread.svg");
  --icon-nav-down: url("chrome://messenger/skin/icons/new/compact/nav-down.svg");
  --icon-nav-forward: url("chrome://messenger/skin/icons/new/compact/nav-forward.svg");
  --icon-nav-left: url("chrome://messenger/skin/icons/new/compact/nav-left.svg");
  --icon-nav-right: url("chrome://messenger/skin/icons/new/compact/nav-right.svg");
  --icon-nav-up-unread: url("chrome://messenger/skin/icons/new/compact/nav-up-unread.svg");
  --icon-nav-up: url("chrome://messenger/skin/icons/new/compact/nav-up.svg");
  --icon-new-address-book: url("chrome://messenger/skin/icons/new/compact/new-address-book.svg");
  --icon-new-chat: url("chrome://messenger/skin/icons/new/compact/new-chat.svg");
  --icon-new-contact: url("chrome://messenger/skin/icons/new/compact/new-contact.svg");
  --icon-new-event: url("chrome://messenger/skin/icons/new/compact/new-event.svg");
  --icon-new-mail: url("chrome://messenger/skin/icons/new/compact/new-mail.svg");
  --icon-new-task: url("chrome://messenger/skin/icons/new/compact/new-task.svg");
  --icon-new-user-list: url("chrome://messenger/skin/icons/new/compact/new-user-list.svg");
  --icon-newsletter: url("chrome://messenger/skin/icons/new/compact/newsletter.svg");
  --icon-offline: url("chrome://messenger/skin/icons/new/compact/offline.svg");
  --icon-online: url("chrome://messenger/skin/icons/new/compact/online.svg");
  --icon-outbox: url("chrome://messenger/skin/icons/new/compact/outbox.svg");
  --icon-overflow: url("chrome://messenger/skin/icons/new/compact/overflow.svg");
  --icon-paint-brush: url("chrome://messenger/skin/icons/new/compact/paint-brush.svg");
  --icon-paste: url("chrome://messenger/skin/icons/new/compact/paste.svg");
  --icon-pencil: url("chrome://messenger/skin/icons/new/compact/pencil.svg");
  --icon-pin: url("chrome://messenger/skin/icons/new/compact/pin.svg");
  --icon-print: url("chrome://messenger/skin/icons/new/compact/print.svg");
  --icon-priority: url("chrome://messenger/skin/icons/new/compact/priority.svg");
  --icon-priority-low: url("chrome://messenger/skin/icons/new/compact/low-priority.svg");
  --icon-question: url("chrome://messenger/skin/icons/new/compact/question.svg");
  --icon-quit: url("chrome://messenger/skin/icons/new/compact/quit.svg");
  --icon-quote: url("chrome://messenger/skin/icons/new/compact/quote.svg");
  --icon-receipt: url("chrome://messenger/skin/icons/new/compact/receipt.svg");
  --icon-redirect: url("chrome://messenger/skin/icons/new/compact/redirect.svg");
  --icon-remove: url("chrome://messenger/skin/icons/new/compact/remove.svg");
  --icon-reply-all: url("chrome://messenger/skin/icons/new/compact/reply-all.svg");
  --icon-reply-list: url("chrome://messenger/skin/icons/new/compact/reply-list.svg");
  --icon-reply: url("chrome://messenger/skin/icons/new/compact/reply.svg");
  --icon-restore: url("chrome://messenger/skin/icons/new/compact/restore.svg");
  --icon-ribbon: url("chrome://messenger/skin/icons/new/compact/ribbon.svg");
  --icon-rss: url("chrome://messenger/skin/icons/new/compact/rss.svg");
  --icon-search: url("chrome://messenger/skin/icons/new/compact/search.svg");
  --icon-sent: url("chrome://messenger/skin/icons/new/compact/sent.svg");
  --icon-settings: url("chrome://messenger/skin/icons/new/compact/settings.svg");
  --icon-shield: url("chrome://messenger/skin/icons/new/compact/shield.svg");
  --icon-sort: url("chrome://messenger/skin/icons/new/compact/sort.svg");
  --icon-spaces-menu: url("chrome://messenger/skin/icons/new/compact/spaces-menu.svg");
  --icon-spam: url("chrome://messenger/skin/icons/new/compact/spam.svg");
  --icon-spelling: url("chrome://messenger/skin/icons/new/compact/spelling.svg");
  --icon-star: url("chrome://messenger/skin/icons/new/compact/star.svg");
  --icon-sync: url("chrome://messenger/skin/icons/new/compact/sync.svg");
  --icon-tag: url("chrome://messenger/skin/icons/new/compact/tag.svg");
  --icon-tasks: url("chrome://messenger/skin/icons/new/compact/tasks.svg");
  --icon-template: url("chrome://messenger/skin/icons/new/compact/template.svg");
  --icon-tentative: url("chrome://messenger/skin/icons/new/compact/tentative.svg");
  --icon-thread: url("chrome://messenger/skin/icons/new/compact/thread.svg");
  --icon-thread-ignored: url("chrome://messenger/skin/icons/new/compact/thread-ignored.svg");
  --icon-subthread-ignored: url("chrome://messenger/skin/icons/new/compact/subthread-ignored.svg");
  --icon-tools: url("chrome://messenger/skin/icons/new/compact/tools.svg");
  --icon-trash: url("chrome://messenger/skin/icons/new/compact/trash.svg");
  --icon-unread: url("chrome://messenger/skin/icons/new/compact/unread.svg");
  --icon-user: url("chrome://messenger/skin/icons/new/compact/user.svg");
  --icon-user-list: url("chrome://messenger/skin/icons/new/compact/user-list.svg");
  --icon-warning: url("chrome://messenger/skin/icons/new/compact/warning.svg");

  --icon-calendar-empty: url("chrome://messenger/skin/icons/new/calendar-empty.svg");
  --icon-circle-small: url("chrome://messenger/skin/icons/new/circle-sm.svg");
  --icon-loading: url("chrome://messenger/skin/icons/new/loading.svg");
  --icon-nav-down-sm: url("chrome://messenger/skin/icons/new/nav-down-sm.svg");
  --icon-nav-left-sm: url("chrome://messenger/skin/icons/new/nav-left-sm.svg");
  --icon-nav-right-sm: url("chrome://messenger/skin/icons/new/nav-right-sm.svg");
  --icon-nav-up-sm: url("chrome://messenger/skin/icons/new/nav-up-sm.svg");
  --icon-nav-today: url("chrome://messenger/skin/icons/new/nav-today.svg");
  --icon-column-menu: url("chrome://messenger/skin/icons/new/column-menu.svg");
  --icon-attachment-sm: url("chrome://messenger/skin/icons/new/attachment-sm.svg");
  --icon-spam-sm: url("chrome://messenger/skin/icons/new/spam-sm.svg");
  --icon-star-sm: url("chrome://messenger/skin/icons/new/star-sm.svg");
  --icon-thread-sm: url("chrome://messenger/skin/icons/new/thread-sm.svg");
  --icon-trash-sm: url("chrome://messenger/skin/icons/new/trash-sm.svg");
  --icon-unread-dot: url("chrome://messenger/skin/icons/new/unread-dot.svg");
  --icon-unread-sm: url("chrome://messenger/skin/icons/new/unread-sm.svg");
  --icon-notify: url("chrome://messenger/skin/icons/new/notify.svg");
  --icon-calender-imip: url("chrome://messenger/skin/icons/new/normal/calendar-invite.svg");
  --icon-event-start: url("chrome://messenger/skin/icons/new/event-start.svg");
  --icon-event-end: url("chrome://messenger/skin/icons/new/event-end.svg");
  --icon-event-continue: url("chrome://messenger/skin/icons/new/event-continue.svg");
  --icon-mail-sm: url("chrome://messenger/skin/icons/new/mail-sm.svg");
  --icon-bell: url("chrome://messenger/skin/icons/new/bell.svg");
  --icon-bell-disabled: url("chrome://messenger/skin/icons/new/bell-disabled.svg");
  --icon-bell-ring: url("chrome://messenger/skin/icons/new/bell-ring.svg");
  --icon-recurrence: url("chrome://messenger/skin/icons/new/recurrence.svg");
  --icon-recurrence-exception: url("chrome://messenger/skin/icons/new/recurrence-exception.svg");

  --icon-forward-col: url("chrome://messenger/skin/icons/new/compact/forward-col.svg");
  --icon-reply-col: url("chrome://messenger/skin/icons/new/compact/reply-col.svg");
  --icon-redirect-col: url("chrome://messenger/skin/icons/new/compact/redirect-col.svg");
  --icon-forward-redirect-col: url("chrome://messenger/skin/icons/new/compact/forward-redirect-col.svg");
  --icon-reply-forward-col: url("chrome://messenger/skin/icons/new/compact/reply-forward-col.svg");
  --icon-reply-forward-redirect-col: url("chrome://messenger/skin/icons/new/compact/reply-forward-redirect-col.svg");
  --icon-reply-redirect-col: url("chrome://messenger/skin/icons/new/compact/reply-redirect-col.svg");

  --icon-status-away: url("chrome://messenger/skin/icons/new/status-away.svg");
  --icon-status-away-sm: url("chrome://messenger/skin/icons/new/status-away-sm.svg");
  --icon-status-idle: url("chrome://messenger/skin/icons/new/status-idle.svg");
  --icon-status-idle-sm: url("chrome://messenger/skin/icons/new/status-idle-sm.svg");
  --icon-status-offline: url("chrome://messenger/skin/icons/new/status-offline.svg");
  --icon-status-offline-sm: url("chrome://messenger/skin/icons/new/status-offline-sm.svg");
  --icon-status-online: url("chrome://messenger/skin/icons/new/status-online.svg");
  --icon-status-online-sm: url("chrome://messenger/skin/icons/new/status-online-sm.svg");

  --spaces-icon-mail: url("chrome://messenger/skin/icons/new/normal/mail.svg");
  --spaces-icon-address-book: url("chrome://messenger/skin/icons/new/normal/address-book.svg");
  --spaces-icon-calendar: url("chrome://messenger/skin/icons/new/normal/calendar.svg");
  --spaces-icon-tasks: url("chrome://messenger/skin/icons/new/normal/tasks.svg");
  --spaces-icon-chat: url("chrome://messenger/skin/icons/new/normal/chat.svg");
  --spaces-icon-overflow: url("chrome://messenger/skin/icons/new/normal/overflow.svg");
  --spaces-icon-settings: url("chrome://messenger/skin/icons/new/normal/settings.svg");
  --spaces-icon-collapse: url("chrome://messenger/skin/icons/new/normal/collapse.svg");

  --folder-pane-mail: var(--icon-mail);
  --folder-pane-mail-secure: var(--icon-mail-secure);
  --folder-pane-inbox: var(--icon-inbox);
  --folder-pane-draft: var(--icon-draft);
  --folder-pane-sent: var(--icon-sent);
  --folder-pane-archive: var(--icon-archive);
  --folder-pane-spam: var(--icon-spam);
  --folder-pane-trash: var(--icon-trash);
  --folder-pane-template: var(--icon-template);
  --folder-pane-rss: var(--icon-rss);
  --folder-pane-globe: var(--icon-globe);
  --folder-pane-globe-secure: var(--icon-globe-secure);
  --folder-pane-newsletter: var(--icon-newsletter);
  --folder-pane-outbox: var(--icon-outbox);
  --folder-pane-folder: var(--icon-folder);
  --folder-pane-folder-filter: var(--icon-folder-filter);
  --folder-pane-folder-rss: var(--icon-folder-rss);

  --addressbook-tree-ab: var(--icon-address-book);
  --addressbook-tree-list: var(--icon-user-list);
  --addressbook-tree-remote: var(--icon-globe);

  --account-central-address-book: url("chrome://messenger/skin/icons/new/normal/address-book.svg");
  --account-central-calendar: url("chrome://messenger/skin/icons/new/normal/calendar.svg");
  --account-central-chat: url("chrome://messenger/skin/icons/new/normal/chat.svg");
  --account-central-folder: url("chrome://messenger/skin/icons/new/normal/folder.svg");
  --account-central-globe: url("chrome://messenger/skin/icons/new/normal/globe.svg");
  --account-central-link: url("chrome://messenger/skin/icons/new/normal/link.svg");
  --account-central-mail: url("chrome://messenger/skin/icons/new/normal/mail.svg");
  --account-central-newsletter: url("chrome://messenger/skin/icons/new/normal/newsletter.svg");
  --account-central-rss: url("chrome://messenger/skin/icons/new/normal/rss.svg");

  --font-size-increase: url("chrome://messenger/skin/icons/new/normal/add-circle.svg");
  --font-size-decrease: url("chrome://messenger/skin/icons/new/normal/subtract-circle.svg");

  --addons-manager-recommendations: url("chrome://messenger/skin/icons/new/touch/features.svg");
  --addons-manager-extensions: url("chrome://messenger/skin/icons/new/touch/extension.svg");
  --addons-manager-themes: url("chrome://messenger/skin/icons/new/touch/paint-brush.svg");
  --addons-manager-dictionaries: url("chrome://messenger/skin/icons/new/touch/dictionary.svg");
  --addons-manager-languages: url("chrome://messenger/skin/icons/new/touch/language.svg");
  --addons-manager-site-permissions: url("chrome://messenger/skin/icons/new/touch/globe.svg");
  --addons-manager-available-updates: url("chrome://messenger/skin/icons/new/touch/extension-update-available.svg");
  --addons-manager-recent-updates: url("chrome://messenger/skin/icons/new/touch/extension-update-recent.svg");
}

:root[uidensity="compact"] {
  --spaces-icon-mail: var(--icon-mail);
  --spaces-icon-address-book: var(--icon-address-book);
  --spaces-icon-calendar: var(--icon-calendar);
  --spaces-icon-tasks: var(--icon-tasks);
  --spaces-icon-chat: var(--icon-chat);
  --spaces-icon-overflow: var(--icon-overflow);
  --spaces-icon-settings: var(--icon-settings);
  --spaces-icon-collapse: var(--icon-collapse);

  --font-size-increase: url("chrome://messenger/skin/icons/new/compact/add-circle.svg");
  --font-size-decrease: url("chrome://messenger/skin/icons/new/compact/subtract-circle.svg");
}

:root[uidensity="touch"] {
  --spaces-icon-mail: url("chrome://messenger/skin/icons/new/touch/mail.svg");
  --spaces-icon-address-book: url("chrome://messenger/skin/icons/new/touch/address-book.svg");
  --spaces-icon-calendar: url("chrome://messenger/skin/icons/new/touch/calendar.svg");
  --spaces-icon-tasks: url("chrome://messenger/skin/icons/new/touch/tasks.svg");
  --spaces-icon-chat: url("chrome://messenger/skin/icons/new/touch/chat.svg");
  --spaces-icon-overflow: url("chrome://messenger/skin/icons/new/touch/overflow.svg");
  --spaces-icon-settings: url("chrome://messenger/skin/icons/new/touch/settings.svg");
  --spaces-icon-collapse: url("chrome://messenger/skin/icons/new/touch/collapse.svg");

  --folder-pane-mail: url("chrome://messenger/skin/icons/new/normal/mail.svg");
  --folder-pane-mail-secure: url("chrome://messenger/skin/icons/new/normal/mail-secure.svg");
  --folder-pane-inbox: url("chrome://messenger/skin/icons/new/normal/inbox.svg");
  --folder-pane-draft: url("chrome://messenger/skin/icons/new/normal/draft.svg");
  --folder-pane-sent: url("chrome://messenger/skin/icons/new/normal/sent.svg");
  --folder-pane-archive: url("chrome://messenger/skin/icons/new/normal/archive.svg");
  --folder-pane-spam: url("chrome://messenger/skin/icons/new/normal/spam.svg");
  --folder-pane-trash: url("chrome://messenger/skin/icons/new/normal/trash.svg");
  --folder-pane-template: url("chrome://messenger/skin/icons/new/normal/template.svg");
  --folder-pane-rss: url("chrome://messenger/skin/icons/new/normal/rss.svg");
  --folder-pane-globe: url("chrome://messenger/skin/icons/new/normal/globe.svg");
  --folder-pane-globe-secure: url("chrome://messenger/skin/icons/new/normal/globe-secure.svg");
  --folder-pane-newsletter: url("chrome://messenger/skin/icons/new/normal/newsletter.svg");
  --folder-pane-outbox: url("chrome://messenger/skin/icons/new/normal/outbox.svg");
  --folder-pane-folder: url("chrome://messenger/skin/icons/new/normal/folder.svg");
  --folder-pane-folder-filter: url("chrome://messenger/skin/icons/new/normal/folder-filter.svg");
  --folder-pane-folder-rss: url("chrome://messenger/skin/icons/new/normal/folder-rss.svg");

  --font-size-increase: url("chrome://messenger/skin/icons/new/touch/add-circle.svg");
  --font-size-decrease: url("chrome://messenger/skin/icons/new/touch/subtract-circle.svg");
}
